[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TStringField.Size

Maximum size of the string

## Declaration

Source position: db.pas line 511

`published property TStringField.Size : Integer default 20;`

## Description

Size is made published by the TStringField class so it can be set in the IDE: it is the declared maximum size of the string (in characters) and is used to calculate the size of the dataset buffer.

## See also

TField.Size |  | Logical size of the field